Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface MessageDrivenEJBRuntimeMBean

public interface MessageDrivenEJBRuntimeMBean
extends EJBRuntimeMBean

This interface contains accessor methods for all EJB runtime information collected for a Message Driven Bean.

Author:
  Copyright (c) 2001 by BEA Systems. All Rights Reserved.

Method Summary
`EJBPoolRuntimeMBean` | `getPoolRuntime()` Returns the EJBPoolRuntimeMBean, containing runtime information about the free pool, for this EJB.
`boolean` | `isJMSConnectionAlive()` Returns whether the Message Driven Bean is currently connected to the JMS destination it is mapped to.

Methods inherited from interface weblogic.management.runtime.EJBRuntimeMBean
`getEJBName, getTransactionRuntime`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getPoolRuntime

    public EJBPoolRuntimeMBean getPoolRuntime()

  Returns the EJBPoolRuntimeMBean, containing runtime information about the free pool, for this EJB.

### isJMSConnectionAlive

    public boolean isJMSConnectionAlive()

  Returns whether the Message Driven Bean is currently connected to the JMS destination it is mapped to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference